
@import url("https://fonts.googleapis.com/css2?family=Bree+Serif&family=Caveat:wght@400;700&family=Lobster&family=Monoton&family=Open+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Playfair+Display+SC:ital,wght@0,400;0,700;1,700&family=Playfair+Display:ital,wght@0,400;0,700;1,700&family=Roboto:ital,wght@0,400;0,700;1,400;1,700&family=Source+Sans+Pro:ital,wght@0,400;0,700;1,700&family=Work+Sans:ital,wght@0,400;0,700;1,700&display=swap");

.todos-bg-container {
    background-color: #e1ffe2;
    height: 120vh;
}

.todos-heading {
    text-align: center;
    font-family: "bree serif";
    font-size: 46px;
    font-weight: 900;
    margin-top: 20px;
    margin-bottom: 20px;
    color: red;
}

.create-task-heading {
    font-family: "Roboto";
    font-size: 32px;
    font-weight: 700;
}

.create-task-heading-subpart {
    font-family: "Roboto";
    font-size: 32px;
    font-weight: 500;
}

.todo-items-heading {
    font-family: "Roboto";
    font-size: 32px;
    font-weight: 700;
}

.todo-items-heading-subpart {
    font-family: "Roboto";
    font-size: 32px;
    font-weight: 500;
}

.todo-items-container {
    margin: 0;
    padding: 0;
}

.todo-item-container {
    margin-top: 15px;
}

.todo-user-input {
    background-color: white;
    border-style: solid;
    border-width: 1px;
    border-color: #e4e7eb;
    border-radius: 10px;
    margin: 25px 0px;
    padding: 25px;
}
.edit-content{
    min-width: 15vw;
    padding-left: 10px;
    color: rgb(21, 41, 255);
    border-radius: 15px;
    font-weight: bold;
}
.arrow-symbol{
    font-size: 60px;
}

.add-todo-button,button {
    color: white;
    background-color: #3e68ff;
    font-family: "Roboto";
    font-size: 18px;
    border-width: 0;
    border-radius: 4px;
    margin-top: 20px;
    margin-bottom: 50px;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 20px;
    padding-left: 20px;
}

.label-container {
    background-color: #b3ffb2;
    width: 100%;
    border-style: solid;
    border-width: 6px;
    border-color: #00e32a;
    border-right: none;
    border-top: none;
    border-bottom: none;
    border-radius: 4px;
}

.checkbox-input {
    width: 20px;
    height: 20px;
    margin-top: 12px;
    margin-right: 12px;

}

.checkbox-label {
    font-family: "Bree Serif";
    font-size: 16px;
    font-weight: 400;
    width: 82%;
    margin: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    border-radius: 5px;
    font-weight: bold;
}

.delete-icon-container {
    text-align: right;
    width: 20%;
}

.delete-icon {
    padding: 15px;
}
.edit-icon{
    padding: 15px;
}

.checked {
    font-style: italic;
    text-decoration: line-through;
    font-weight: none;
    text-decoration-thickness: 2px;
}
.note{
    font-family: "caveat";
    font-size: 20px;
    margin-left: 30px;
    font-weight: bold;
}


.button:active,.add-todo-button:active{
    scale: 0.95;

}
button:focus{
    outline: none;
}
